{
  lib,
  config,
  modulesPath,
  ...
}: let
  cfg = config.services.lxc;
in {
  options.services.lxc = {
    enable = lib.mkEnableOption "Enable LXC container config";
  };
  config = lib.mkIf cfg.enable {
    boot.isContainer = true;
    proxmoxLXC = {
      enable = true;
      privileged = false;
      manageNetwork = false;
      manageHostName = false;
    };
    systemd.suppressedSystemUnits = [
      "dev-mqueue.mount"
      "sys-kernel-debug.mount"
      "sys-fs-fuse-connections.mount"
    ];
  };
}
